%define name nostromo_n50
%define version 1.4
%define release %mkrel 2

Summary:       Linux Nostromo Speedpad Driver
Summary(de):	Linux Nostromo Speedpad Treiber
Name:          %{name}
Version:       %{version}
Release:       %{release}
Group:         System/Configuration/Hardware
License:       LGPLv2+
URL:           http://sourceforge.net/projects/nostromodriver/
Source:        http://sourceforge.net/projects/nostromodriver/%{name}-%{version}.tar.xz
Patch:        nostromo_n50-1.4-daemon.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk2-devel 
BuildRequires: libxml++2.6-devel
BuildRequires: libfltk-devel 
BuildRequires: libxtst6-devel
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes: %name < %version
Requires:   	pclinuxos-release

%description
Provides access to Belkin Nostromo n50/n52 speedpads as more than simple USB keyboard devices via configuration GUI.
Also includes a basic userland linux event interface and both OpenGL and OpenAL modules for video and audio.


#german
%description -l de
Bietet Zugang zu Belkin Nostromo n50/n52 Speedpads und ist mehr als nur eine einfache USB-Tastatur-Geräte GUI-Konfiguration.
Bietet auch eine grundlegende Userland Linux-Event-Schnittstelle und OpenGL und OpenAL-Module für Video und Audio.


%prep
%setup -q 
%patch -p1


%build
%configure2_5x 

%make 

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/doc/%{name}-%{version}
%makeinstall PREFIX=%{buildroot}/usr 

#menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Nostromo Config
Comment=Nostromo Configuration Tool
Exec=nostromo_config
Icon=n50_tray.png
Terminal=false
Type=Application
Categories=System;X-MandrivaLinux-System-Configuration-Hardware;
EOF

#remove
rm -rf %{buildroot}/usr/doc

%clean
rm -rf %{buildroot}



%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO doc/*.png doc/*.html
%{_bindir}/nostromo_config
%{_bindir}/nostromo_daemon
%{_bindir}/nostromo_remote
%{_datadir}/pixmaps/n50_tray.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun Nov 21 2010 Texstar <texstar at gmail.com> 1.4-2pclos2010
- rebuild

* Sat Nov 21 2009 slick50 <lxgator@gmail.com> 1.4-1pclos2010
- initial build

